Bug 96897 - [PATCH] Add audio/py-mutagen
Summary: [PATCH] Add audio/py-mutagen
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ion-Mihai "IOnut" Tetcu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-05-07 08:40 UTC by Peter Johnson
Modified: 2006-05-24 21:08 UTC (History)
0 users

See Also:


Attachments
file.diff (2.83 KB, patch)
2006-05-07 08:40 UTC, Peter Johnson
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Johnson 2006-05-07 08:40:21 UTC
Add py-mutagen 1.2, an audio metadata tag reader and writer implemented in pure
Python.  This is also required for Quod Libet 0.20.1 (I'll be submitting a patch
shortly).

URL: http://www.sacredchao.net/quodlibet/wiki/Development/Mutagen

I only have a small amount of ports-foo, so there may be errors in how I did
the knob, etc.
Comment 1 Volker Stolz freebsd_committer 2006-05-12 18:32:35 UTC
State Changed
From-To: open->feedback

- what's with @dirrm %%PYTHON_SITELIBDIR%%/xmms? This directory is actually not created, it seems? 
- if you make VORBIS-support configurable, you should 
a) use OPTIONS (see the Handbook) 
b) adapt the plist accordingly, possibly through the use of PLIST_SUB. Or does it 
in fact not change when building without VORBIS? 
Otherise this looks okay! 


Comment 2 Volker Stolz freebsd_committer 2006-05-12 18:32:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->vs

Handle this.
Comment 3 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-05-16 16:58:30 UTC
Responsible Changed
From-To: vs->itetcu

I'malready working on a PR for the same port, emailed vs and: "Please 
take it! -- Volker"
Comment 4 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-05-16 17:09:03 UTC
State Changed
From-To: feedback->suspended

Waiting for submiters of ports/96897 and ports/97276 to decide who will 
maintain the new port
Comment 5 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-05-24 21:08:05 UTC
State Changed
From-To: suspended->closed

Committed. Thanks!